Subject: Re: Printing the driver name as part of the netdev watchdog message

From: Roland Dreier <[email-masked]>
Date: Mon, 07 Jul 2008 16:14:31 -0700

> I doubt it uses the RTNL semaphore elsewhere to protect
 > against this path, which is the only protection these
 > calls currently have.

As far as I can tell from reading the code, the only places in cxgb3
that use t3_read_flash() are in the netdevice's open and ioctl methods,
and the ethtool get_drvinfo method.  So as far as I can tell the current
code is fine as long as rtnl is held across get_drvinfo.

 > Please don't bring up scarecrows, this looks like simply
 > a bug which already exists.

I don't even know how to take this.  "Please don't review our changes"??
"Please don't report bugs"??

 - R.